## org.biojava.bio.seq.io
Class SimpleAssemblyBuilder

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderBase
          org.biojava.bio.seq.io.SimpleAssemblyBuilder

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder

    public class SimpleAssemblyBuilder

extends SequenceBuilderBase

Basic SequenceBuilder implementation which accumulates all notified information and creates a SimpleAssembly.

Version:
  1.2
Author:
  David Huen

Field Summary
`static SequenceBuilderFactory` `FACTORY`

Fields inherited from class org.biojava.bio.seq.io.SequenceBuilderBase
`annotation, ERROR_FEATURES_PROPERTY, name, seq, uri`

Constructor Summary
`SimpleAssemblyBuilder()`

Method Summary
`ComponentFeature` `addComponentSequence(ComponentFeature.Template cft)`
`void` `addSymbols(Alphabet alpha, Symbol[] syms, int pos, int len)` Notify the listener of symbol data.
`Sequence` `makeSequence()` Return the Sequence object which has been constructed by this builder.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderBase
`addFeatureProperty, addProperty, addSequenceProperty, endFeature, endSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY

    public static final SequenceBuilderFactory FACTORY

Constructor Detail

### SimpleAssemblyBuilder

    public SimpleAssemblyBuilder()

Method Detail

### addSymbols

    public void addSymbols(Alphabet alpha,
                           Symbol[] syms,
                           int pos,
                           int len)
                    throws IllegalAlphabetException

  Description copied from interface: `SeqIOListener`
  Notify the listener of symbol data. All symbols passed to this method are guarenteed to be contained within the specified alphabet. Generally all calls to a given Listener should have the same alphabet -- if not, the listener implementation is likely to throw an exception

  Specified by:
    `addSymbols` in interface `SeqIOListener`
  Specified by:
    `addSymbols` in class `SequenceBuilderBase`
  Parameters:
    `alpha` - The alphabet of the symbol data
    `syms` - An array containing symbols
    `pos` - The start offset of valid data within the array
    `len` - The number of valid symbols in the array
  Throws:
    `IllegalAlphabetException` - if we can't cope with this alphabet.

### addComponentSequence

    public ComponentFeature addComponentSequence(ComponentFeature.Template cft)
                                          throws BioException,
                                                 ChangeVetoException

  Throws:
    `BioException`
    `ChangeVetoException`

### makeSequence

    public Sequence makeSequence()
                          throws BioException

  Description copied from interface: `SequenceBuilder`
  Return the Sequence object which has been constructed by this builder. This method is only expected to succeed after the endSequence() notifier has been called.

  Specified by:
    `makeSequence` in interface `SequenceBuilder`
  Overrides:
    `makeSequence` in class `SequenceBuilderBase`
  Throws:
    `BioException`